BLK_COMPLETE_REQUE(9)

NAME
blk_complete_request - end I/O on a request

SYNOPSIS

void blk_complete_request (struct request * req);

ARGUMENTS

req the request being processed

DESCRIPTION

Ends all I/O on a request. It does not handle partial completions, unless the driver actually implements this in its completionc callback through requeueing. Theh actual completion happens out-of-order, through a softirq handler. The user must have registered a completion callback through blk_queue_softirq_done.